%define upstream_name    File-Policy
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Simple policy for file I/O functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Log::Trace)
BuildRequires: perl(Test::Assertions)
BuildArch: noarch

%description
This defines the policy for file I/O with modules such as
File::Slurp::WithinPolicy. The purpose is to allow systems administrators
to define locations and restrictions for applications' file I/O and give
app developers a policy to follow. Note that the module doesn't ENFORCE the
policy - application developers can choose to ignore it (and systems
administrators can choose not to install their applications if they do!).

You may control which policy gets applied by creating a
File::Policy::Config module with an IMPLEMENTATION constant. You may write
your own policy as a module within the File::Policy:: namespace.

By default (if no File::Policy::Config is present), the
File::Policy::Default policy gets applied which doesn't impose any
restrictions and provides reasonable default locations for temporary and
log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.5.0-9pclos2017
- rebuild against updates

